<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Checkout;

use Gls\GlsPoland\Entity\Carrier;

interface DeliveryOptionDataPersisterInterface
{
    /**
     * @param array<int, Carrier> $carriers carriers by ID
     * @param array<int, array> $data carrier data by ID
     */
    public function save(\Cart $cart, array $carriers, array $data);
}
